#!/bin/sh

clean=""
echo "
Cleaning the installation will delete all your plugins, as well as file history, undo history, etc
"
read -p "Do you really want to clean the nvim installation? (y/N) " clean

if [[ "$clean" == "y" ]]; then
	git pull
	rm -rf ~/.local/share/nvim*/
	rm -rf ~/.local/state/nvim*/
	rm -rf ~/.cache/nvim*/

	echo "Installing @vue/typescript-plugin system-wide"
	sudo npm i -g @vue/typescript-plugin

	# Re-Install configs to clean out lazy-lock and all other residue
	./nvim-install.sh
else
	echo "Aborting."
fi
